Ubuntu 8.04 LTS / 8.10 / 9.04 : firefox-3.0, xulrunner-1.9 vulnerabilities (USN-798-1)

Ubuntu Security Notice (C) 2009-2013 Canonical, Inc. / NASL script (C) 2009-2013 Tenable Network Security, Inc.


Synopsis :

The remote Ubuntu host is missing one or more security-related patches.

Description :

Several flaws were discovered in the Firefox browser and JavaScript
engines. If a user were tricked into viewing a malicious website, a
remote attacker could cause a denial of service or possibly execute
arbitrary code with the privileges of the user invoking the program.
(CVE-2009-2462, CVE-2009-2463, CVE-2009-2464, CVE-2009-2465,
CVE-2009-2466, CVE-2009-2469)

Attila Suszter discovered a flaw in the way Firefox processed Flash
content. If a user were tricked into viewing and navigating within a
specially crafted Flash object, a remote attacker could cause a denial
of service or possibly execute arbitrary code with the privileges of
the user invoking the program. (CVE-2009-2467)

It was discovered that Firefox did not properly handle some SVG
content. An attacker could exploit this to cause a denial of service
or possibly execute arbitrary code with the privileges of the user
invoking the program. (CVE-2009-2469)

A flaw was discovered in the JavaScript engine. If a user were tricked
into viewing a malicious website, an attacker could exploit this
perform cross-site scripting attacks. (CVE-2009-2472).

Solution :

Update the affected packages.

Risk factor :

Critical / CVSS Base Score : 10.0
(CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C)

Family: Ubuntu Local Security Checks

Nessus Plugin ID: 40348 ()

Bugtraq ID:

CVE ID: CVE-2009-2462
CVE-2009-2463
CVE-2009-2464
CVE-2009-2465
CVE-2009-2466
CVE-2009-2467
CVE-2009-2469
CVE-2009-2472